<div xmlns="http://www.w3.org/1999/xhtml"
	 xmlns:f="http://typo3.org/ns/fluid/ViewHelpers"
	 xmlns:jf="http://typo3.org/ns/CodingMs/JobFinder/ViewHelpers"
	 data-namespace-typo3-fluid="true" lang="en">
	<f:layout name="Default"/>
	<f:section name="Main">

		<div class="row">

			<div class="col-12">
				<f:if condition="{settings.application.headline}">
					<h1><f:translate key="tx_jobfinder_label.application_form" /></h1>
				</f:if>
				<h2><f:translate key="tx_jobfinder_label.application_for" />
					<span class="job-title">{job.title}</span>
				</h2>

				<f:flashMessages />

				<jf:variable.set name="formClass" value="" />
				<f:if condition="{f:count(subject: formMessages)}">
					<jf:variable.set name="formClass" value="needs-validation" />
				</f:if>
				<f:form additionalAttributes="{role: 'form'}"
						enctype="multipart/form-data" id="job-application"
						action="application" class="{formClass}" arguments="{job: job}">
					<h2><f:translate key="tx_jobfinder_label.personal_details" /></h2>
					<div class="form-row">
						<div class="form-group col-12">

							<f:comment><!-- Field errors available?! --></f:comment>
							<jf:variable.set name="formFieldClass" value="" />
							<f:if condition="{f:count(subject: formMessages.gender)}">
								<jf:variable.set name="formFieldClass" value="is-invalid" />
							</f:if>
							<label for="job-firstname"><f:translate key="tx_jobfinder_label.form_of_address" /><span class="required">*</span>:</label>

							<f:comment><!-- Radio field checked?! --></f:comment>
							<jf:variable.set name="formFieldChecked" value="0" />
							<f:if condition="{formValues.gender} == 'male'">
								<jf:variable.set name="formFieldChecked" value="1" />
							</f:if>
							<f:comment><!-- Display field --></f:comment>
							<div class="custom-control custom-radio custom-control-inline">
								<f:form.radio id="job-gender-male"
											  name="gender"
											  value="male"
											  class="custom-control-input {formFieldClass}"
											  checked="{formFieldChecked}" />
								<label class="custom-control-label" for="job-gender-male"><f:translate key="tx_jobfinder_label.gender_male" /></label>
							</div>

							<f:comment><!-- Radio field checked?! --></f:comment>
							<jf:variable.set name="formFieldChecked" value="0" />
							<f:if condition="{formValues.gender} == 'female'">
								<jf:variable.set name="formFieldChecked" value="1" />
							</f:if>
							<f:comment><!-- Display field --></f:comment>
							<div class="custom-control custom-radio custom-control-inline">
								<f:form.radio id="job-gender-female"
											  name="gender"
											  value="female"
											  class="custom-control-input {formFieldClass}"
											  checked="{formFieldChecked}" />
								<label class="custom-control-label" for="job-gender-female"><f:translate key="tx_jobfinder_label.gender_female" /></label>
							</div>

							<f:comment><!-- Radio field checked?! --></f:comment>
							<jf:variable.set name="formFieldChecked" value="0" />
							<f:if condition="{formValues.gender} == 'other'">
								<jf:variable.set name="formFieldChecked" value="1" />
							</f:if>
							<f:comment><!-- Display field --></f:comment>
							<div class="custom-control custom-radio custom-control-inline">
								<f:form.radio id="job-gender-other"
											  name="gender"
											  value="other"
											  class="custom-control-input {formFieldClass}"
											  checked="{formFieldChecked}" />
								<label class="custom-control-label" for="job-gender-other"><f:translate key="tx_jobfinder_label.gender_other" /></label>
							</div>

							<f:comment><!-- Display error messages --></f:comment>
							<f:if condition="{f:count(subject: formMessages.gender)}">
								<div class="invalid-feedback">
									<f:for each="{formMessages.gender}" as="message" iteration="itemIterator">
										{message}
										<f:if condition="{itemIterator.isLast}">
											<f:then> </f:then>
											<f:else><br /></f:else>
										</f:if>
									</f:for>
								</div>
							</f:if>
						</div>
					</div>

					<div class="form-row">
						<div class="form-group col-md-6">
							<f:comment><!-- Field errors available?! --></f:comment>
							<jf:variable.set name="formFieldClass" value="" />
							<f:if condition="{f:count(subject: formMessages.firstname)}">
								<jf:variable.set name="formFieldClass" value="is-invalid" />
							</f:if>
							<f:comment><!-- Display field --></f:comment>
							<label for="job-firstname"><f:translate key="tx_jobfinder_label.firstname" /><span class="required">*</span>:</label>
							<f:form.textfield class="form-control {formFieldClass}"
											  id="job-firstname"
											  name="firstname"
											  placeholder="{f:translate(key: 'tx_jobfinder_label.firstname_placeholder')}"
											  value="{formValues.firstname}" />
							<f:comment><!-- Display error messages --></f:comment>
							<f:if condition="{f:count(subject: formMessages.firstname)}">
								<div class="invalid-feedback">
									<f:for each="{formMessages.firstname}" as="message" iteration="itemIterator">
										{message}
										<f:if condition="{itemIterator.isLast}">
											<f:then> </f:then>
											<f:else><br /></f:else>
										</f:if>
									</f:for>
								</div>
							</f:if>
						</div>
						<div class="form-group col-md-6">
							<f:comment><!-- Field errors available?! --></f:comment>
							<jf:variable.set name="formFieldClass" value="" />
							<f:if condition="{f:count(subject: formMessages.lastname)}">
								<jf:variable.set name="formFieldClass" value="is-invalid" />
							</f:if>
							<f:comment><!-- Display field --></f:comment>
							<label for="job-lastname"><f:translate key="tx_jobfinder_label.surname" /><span class="required">*</span>:</label>
							<f:form.textfield class="form-control {formFieldClass}"
											  id="job-lastname"
											  name="lastname"
											  placeholder="{f:translate(key: 'tx_jobfinder_label.surname_placeholder')}"
											  value="{formValues.lastname}" />
							<f:comment><!-- Display error messages --></f:comment>
							<f:if condition="{f:count(subject: formMessages.lastname)}">
								<div class="invalid-feedback">
									<f:for each="{formMessages.lastname}" as="message" iteration="itemIterator">
										{message}
										<f:if condition="{itemIterator.isLast}">
											<f:then> </f:then>
											<f:else><br /></f:else>
										</f:if>
									</f:for>
								</div>
							</f:if>
						</div>
					</div>

					<div class="form-row">
						<div class="form-group col-md-6">
							<f:comment><!-- Field errors available?! --></f:comment>
							<jf:variable.set name="formFieldClass" value="" />
							<f:if condition="{f:count(subject: formMessages.mobile)}">
								<jf:variable.set name="formFieldClass" value="is-invalid" />
							</f:if>
							<f:comment><!-- Display field --></f:comment>
							<label for="job-mobile"><f:translate key="tx_jobfinder_label.mobile" /><span class="required">*</span>:</label>
							<f:form.textfield class="form-control {formFieldClass}"
											  id="job-mobile"
											  name="mobile"
											  placeholder="0170 123 456"
											  value="{formValues.mobile}" />
							<f:comment><!-- Display error messages --></f:comment>
							<f:if condition="{f:count(subject: formMessages.mobile)}">
								<div class="invalid-feedback">
									<f:for each="{formMessages.mobile}" as="message" iteration="itemIterator">
										{message}
										<f:if condition="{itemIterator.isLast}">
											<f:then> </f:then>
											<f:else><br /></f:else>
										</f:if>
									</f:for>
								</div>
							</f:if>
						</div>
						<div class="form-group col-md-6">
							<f:comment><!-- Field errors available?! --></f:comment>
							<jf:variable.set name="formFieldClass" value="" />
							<f:if condition="{f:count(subject: formMessages.email)}">
								<jf:variable.set name="formFieldClass" value="is-invalid" />
							</f:if>
							<f:comment><!-- Display field --></f:comment>
							<label for="job-email"><f:translate key="tx_jobfinder_label.email" /><span class="required">*</span>:</label>
							<f:form.textfield class="form-control {formFieldClass}"
											  id="job-email"
											  name="email"
											  placeholder="{f:translate(key: 'tx_jobfinder_label.email_address_placeholder')}"
											  value="{formValues.email}" />
							<f:comment><!-- Display error messages --></f:comment>
							<f:if condition="{f:count(subject: formMessages.email)}">
								<div class="invalid-feedback">
									<f:for each="{formMessages.email}" as="message" iteration="itemIterator">
										{message}
										<f:if condition="{itemIterator.isLast}">
											<f:then> </f:then>
											<f:else><br /></f:else>
										</f:if>
									</f:for>
								</div>
							</f:if>
						</div>
					</div>

					<div class="form-row">
						<div class="form-group col-md-12">
							<f:comment><!-- Field errors available?! --></f:comment>
							<jf:variable.set name="formFieldClass" value="" />
							<f:if condition="{f:count(subject: formMessages.message)}">
								<jf:variable.set name="formFieldClass" value="is-invalid" />
							</f:if>
							<f:comment><!-- Display field --></f:comment>
							<label for="job-message"><f:translate key="tx_jobfinder_label.message" /><span class="required">*</span>:</label>
							<f:form.textarea class="form-control {formFieldClass}"
											 id="job-message"
											 name="message" value="{formValues.message}" />
							<f:comment><!-- Display error messages --></f:comment>
							<f:if condition="{f:count(subject: formMessages.message)}">
								<div class="invalid-feedback">
									<f:for each="{formMessages.message}" as="message" iteration="itemIterator">
										{message}
										<f:if condition="{itemIterator.isLast}">
											<f:then> </f:then>
											<f:else><br /></f:else>
										</f:if>
									</f:for>
								</div>
							</f:if>
						</div>
					</div>

					<f:comment><!-- @todo files nacheinander einblenden! --></f:comment>
					<f:comment><!-- @todo Info anzeigen, das die Dateien neu ausgewählt werden müssen! --></f:comment>
					<h2><f:translate key="tx_jobfinder_label.covering_letter_and_attachments" /></h2>
					<div class="form-row">
						<div class="form-group col-12">
							<f:format.raw><f:translate key="tx_jobfinder_label.attachments_instructions" arguments="{0: settings.application.upload.maxFileSize, 1: settings.application.upload.allowedFileTypes}" /></f:format.raw>
						</div>
						<div class="form-group col-12">
							<h3><f:translate key="tx_jobfinder_label.add_attachment" /></h3>
							<div class="custom-file">
								<f:comment><!-- Field errors available?! --></f:comment>
								<jf:variable.set name="formFieldClass" value="" />
								<f:if condition="{f:count(subject: formMessages.file1)}">
									<jf:variable.set name="formFieldClass" value="is-invalid" />
								</f:if>
								<f:comment><!-- Display field --></f:comment>
								<f:form.upload name="file1"
											   id="job-file-1"
											   class="custom-file-input {formFieldClass}"
											   accept="{settings.application.upload.allowedFileTypesHtml}" />
								<label class="custom-file-label" for="job-file-1"><f:translate key="tx_jobfinder_label.select_file" /></label>
								<f:comment><!-- Display error messages --></f:comment>
								<f:if condition="{f:count(subject: formMessages.file1)}">
									<div class="invalid-feedback">
										<f:for each="{formMessages.file1}" as="message" iteration="itemIterator">
											{message}
											<f:if condition="{itemIterator.isLast}">
												<f:then> </f:then>
												<f:else><br /></f:else>
											</f:if>
										</f:for>
									</div>
								</f:if>
							</div>
							<div class="custom-file">
								<f:comment><!-- Field errors available?! --></f:comment>
								<jf:variable.set name="formFieldClass" value="" />
								<f:if condition="{f:count(subject: formMessages.file2)}">
									<jf:variable.set name="formFieldClass" value="is-invalid" />
								</f:if>
								<f:comment><!-- Display field --></f:comment>
								<f:form.upload name="file2"
											   id="job-file-2"
											   class="custom-file-input {formFieldClass}"
											   accept="{settings.application.upload.allowedFileTypesHtml}" />
								<label class="custom-file-label" for="job-file-2"><f:translate key="tx_jobfinder_label.select_file" /></label>
								<f:comment><!-- Display error messages --></f:comment>
								<f:if condition="{f:count(subject: formMessages.file2)}">
									<div class="invalid-feedback">
										<f:for each="{formMessages.file2}" as="message" iteration="itemIterator">
											{message}
											<f:if condition="{itemIterator.isLast}">
												<f:then> </f:then>
												<f:else><br /></f:else>
											</f:if>
										</f:for>
									</div>
								</f:if>
							</div>
							<div class="custom-file">
								<f:comment><!-- Field errors available?! --></f:comment>
								<jf:variable.set name="formFieldClass" value="" />
								<f:if condition="{f:count(subject: formMessages.file3)}">
									<jf:variable.set name="formFieldClass" value="is-invalid" />
								</f:if>
								<f:comment><!-- Display field --></f:comment>
								<f:form.upload name="file3"
											   id="job-file-3"
											   class="custom-file-input {formFieldClass}"
											   accept="{settings.application.upload.allowedFileTypesHtml}" />
								<label class="custom-file-label" for="job-file-3"><f:translate key="tx_jobfinder_label.select_file" /></label>
								<f:comment><!-- Display error messages --></f:comment>
								<f:if condition="{f:count(subject: formMessages.file3)}">
									<div class="invalid-feedback">
										<f:for each="{formMessages.file3}" as="message" iteration="itemIterator">
											{message}
											<f:if condition="{itemIterator.isLast}">
												<f:then> </f:then>
												<f:else><br /></f:else>
											</f:if>
										</f:for>
									</div>
								</f:if>
							</div>
							<div class="custom-file">
								<f:comment><!-- Field errors available?! --></f:comment>
								<jf:variable.set name="formFieldClass" value="" />
								<f:if condition="{f:count(subject: formMessages.file4)}">
									<jf:variable.set name="formFieldClass" value="is-invalid" />
								</f:if>
								<f:comment><!-- Display field --></f:comment>
								<f:form.upload name="file4"
											   id="job-file-4"
											   class="custom-file-input {formFieldClass}"
											   accept="{settings.application.upload.allowedFileTypesHtml}" />
								<label class="custom-file-label" for="job-file-4"><f:translate key="tx_jobfinder_label.select_file" /></label>
								<f:comment><!-- Display error messages --></f:comment>
								<f:if condition="{f:count(subject: formMessages.file4)}">
									<div class="invalid-feedback">
										<f:for each="{formMessages.file4}" as="message" iteration="itemIterator">
											{message}
											<f:if condition="{itemIterator.isLast}">
												<f:then> </f:then>
												<f:else><br /></f:else>
											</f:if>
										</f:for>
									</div>
								</f:if>
							</div>
						</div>
					</div>

					<div class="form-row">
						<div class="form-group col-12">
							<div class="custom-control custom-checkbox">
								<f:comment><!-- Field errors available?! --></f:comment>
								<jf:variable.set name="formFieldClass" value="" />
								<f:if condition="{f:count(subject: formMessages.terms)}">
									<jf:variable.set name="formFieldClass" value="is-invalid" />
								</f:if>
								<f:comment><!-- Display field --></f:comment>
								<f:form.checkbox name="terms" class="custom-control-input {formFieldClass}" id="job-terms" value="true" />
								<label class="custom-control-label" for="job-terms">
									 <f:translate key="tx_jobfinder_label.job_terms_1" /><f:link.page pageUid="{settings.application.termsPageUid}" target="_blank"><f:translate key="tx_jobfinder_label.terms_and_conditions" /></f:link.page><f:translate key="tx_jobfinder_label.job_terms_2" /><br />
									<f:translate key="tx_jobfinder_label.job_terms_3" /> <f:link.page pageUid="{settings.application.privacyPageUid}" target="_blank"><f:translate key="tx_jobfinder_label.privacy_policy" /></f:link.page><f:translate key="tx_jobfinder_label.job_terms_4" />
								</label>
								<f:comment><!-- Display error messages --></f:comment>
								<f:if condition="{f:count(subject: formMessages.terms)}">
									<div class="invalid-feedback">
										<f:for each="{formMessages.terms}" as="message" iteration="itemIterator">
											{message}
											<f:if condition="{itemIterator.isLast}">
												<f:then> </f:then>
												<f:else><br /></f:else>
											</f:if>
										</f:for>
									</div>
								</f:if>
							</div>
						</div>
					</div>

					<div class="form-row">
						<div class="form-group col-12">
							<f:link.action class="btn btn-danger" action="show" arguments="{job: job}"
										   pageUid="{settings.detail.pageUid}">
								<f:translate key="tx_jobfinder_label.return_to_job_posting" />
							</f:link.action>
							<f:form.submit class="btn btn-success"
										   name="submit"
										   value="{f:translate(key: 'tx_jobfinder_label.send_application')}" />
							<f:comment><!-- @todo ladeanzeige beim absenden! --></f:comment>
						</div>
					</div>

				</f:form>
			</div>
		</div>

	</f:section>
</div>
